/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.syncclient.sps.common;

/**
 * This class defines methods
 * about search filter in database
 *
 *
 * $Id: RecordFilter.java,v 1.4 2007/01/11 19:21:41 nichele Exp $
 **/
public abstract class RecordFilter {

    /**
     * This method is about criteria
     * to find record in dataStore
     * @param record to check
     * @return <code>true</code>  if the record is accept about criteria
     *         <code>false</code> if the record is not accept about criteria
     */
    public abstract boolean accept (Record record);

}