/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.syncclient.spap;

import com.funambol.syncclient.spap.AssetManagementException;

/**
 * This exception represents an error during asset installation
 *
 * 
 * @version  $Id: AssetInstallationException.java,v 1.4 2007/01/11 19:21:40 nichele Exp $
 */
public class AssetInstallationException extends AssetManagementException {
    // ------------------------------------------------------------ Constructors

    /**
     * Constructs an instance of <code>AssetInstallationException</code> with the
     * specified detail message.
     *
     * @param message the detail message.
     */
    public AssetInstallationException(String message) {
        super(message);
    }

    /**
     * Constructs an instance of <code>AssetInstallationException</code> with the
     * specified detail message.
     *
     * and the cause.
     * @param message the detail message.
     * @param cause the cause of this error.
     */
    public AssetInstallationException(String message, Throwable cause) {
        super(message, cause);
    }

}
