/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.syncclient.sps.common;

import java.util.Hashtable;

import com.funambol.syncclient.sps.jdbc.*;
import com.funambol.syncclient.sps.common.util.*;

/**
 * This interface define
 * methods about get dataStores
 *
 *
 * $Id: DataStoreManager.java,v 1.4 2007/01/11 19:21:41 nichele Exp $
 **/
public interface DataStoreManager {

    //----------------------------------------------------------------- Public methods

    /**
     * return dataStore dataStoreName
     * @param dataStoreName
     * @return dataStore
     */
    public DataStore getDataStore(String dataStoreName);


     /**
      * return array of all dataStore about DataStoreManager
      * @return array of dataStore
      */
     public DataStore[] getAllDataStores();

}
